<?PHP
#  
function error($message)
{
    return json_encode(array('error' => $message));
}
#   
class db extends PDO
{
    #      
    private $settings = array(
        'host'  => 'localhost',
        'db'    => '',
        'login' => 'root',
        'pass'  => '',
    );
    #
    function __construct($settings = array())
    {
        #  
        if(is_array($settings) and 0 != count($settings)) {
            foreach($settings as $key => $val) {
                if(isset($this->settings[$key])) $this->settings[$key] = $val;
            }
        }
        #    
        try {
            parent::__construct('mysql:host='.$this->settings['host'].';dbname='.$this->settings['db'].';charset=utf8', $this->settings['login'], $this->settings['pass']);
        }
        catch(PDOException $error) {
            exit(error($error->getMessage()));
        }
    }
}
$settings = array(
    'db'    => 'zabbix', 
    'login' => 'login', 
    'pass'  => 'password'
);
$db = new db($settings);
$query = $db->query("
SELECT
    t.triggerid,
    h.host,
    t.priority,
    t.description,
    t.lastchange
FROM
    triggers t,
    hosts h,
    items i,
    functions f
WHERE
    t.value=1 AND
    t.status=0 AND
    f.triggerid=t.triggerid AND
    i.itemid=f.itemid AND
    i.status=0 AND
    h.hostid=i.hostid AND
    h.status=0
ORDER BY
    t.lastchange DESC
");
$message = array();
if($query->rowCount()) {
    foreach($query->fetchAll(PDO::FETCH_ASSOC) as $var => $val) {
        $message[$val['triggerid']] = $val;
    }
}
echo json_encode($message);
?>
